Bio::Graphics::FeatureFile::Iterator(3)

NAME
Bio::Graphics::FeatureFile::Iterator -- Iterator across a Bio::Graphics::FeatureFile

SYNOPSIS
 use Bio::Graphics::FeatureFile;
 my $data  = Bio::Graphics::FeatureFile->new(-file => 'features.txt');
 my $iterator = $data->get_seq_stream;
 while (my $feature = $iterator->next_seq) {
   print $feature->display_id,"\t",$feature->start,"\t",$feature->end,"\n";
 }

DESCRIPTION
This is a Bio::SeqIO-like object that recognizes the next_seq() and next_feature() methods. The two methods are synonymous.

There is also a rewind() method which will start iterating from the beginning again.

SEE ALSO
Bio::Graphics::Panel, Bio::Graphics::Glyph, Bio::Graphics::Feature, Bio::Graphics::FeatureFile

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.